org.apache.geode.cache.configuration

## Class CacheConfig.GatewayHub.Gateway.GatewayQueue

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayHub.Gateway.GatewayQueue

- Enclosing class:
    CacheConfig.GatewayHub.Gateway

      public static class CacheConfig.GatewayHub.Gateway.GatewayQueue
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `alertThreshold`
    `protected java.lang.Boolean` | `batchConflation`
    `protected java.lang.String` | `batchSize`
    `protected java.lang.String` | `batchTimeInterval`
    `protected java.lang.String` | `diskStoreName`
    `protected java.lang.Boolean` | `enablePersistence`
    `protected java.lang.String` | `maximumQueueMemory`
    `protected java.lang.String` | `overflowDirectory`
    `protected java.lang.Boolean` | `rollOplogs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayQueue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlertThreshold()` Gets the value of the alertThreshold property.
    `java.lang.String` | `getBatchSize()` Gets the value of the batchSize property.
    `java.lang.String` | `getBatchTimeInterval()` Gets the value of the batchTimeInterval property.
    `java.lang.String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `java.lang.String` | `getMaximumQueueMemory()` Gets the value of the maximumQueueMemory property.
    `java.lang.String` | `getOverflowDirectory()` Gets the value of the overflowDirectory property.
    `java.lang.Boolean` | `isBatchConflation()` Gets the value of the batchConflation property.
    `java.lang.Boolean` | `isEnablePersistence()` Gets the value of the enablePersistence property.
    `java.lang.Boolean` | `isRollOplogs()` Gets the value of the rollOplogs property.
    `void` | `setAlertThreshold(java.lang.String value)` Sets the value of the alertThreshold property.
    `void` | `setBatchConflation(java.lang.Boolean value)` Sets the value of the batchConflation property.
    `void` | `setBatchSize(java.lang.String value)` Sets the value of the batchSize property.
    `void` | `setBatchTimeInterval(java.lang.String value)` Sets the value of the batchTimeInterval property.
    `void` | `setDiskStoreName(java.lang.String value)` Sets the value of the diskStoreName property.
    `void` | `setEnablePersistence(java.lang.Boolean value)` Sets the value of the enablePersistence property.
    `void` | `setMaximumQueueMemory(java.lang.String value)` Sets the value of the maximumQueueMemory property.
    `void` | `setOverflowDirectory(java.lang.String value)` Sets the value of the overflowDirectory property.
    `void` | `setRollOplogs(java.lang.Boolean value)` Sets the value of the rollOplogs property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alertThreshold

          protected java.lang.String alertThreshold

    - #### batchConflation

          protected java.lang.Boolean batchConflation

    - #### batchSize

          protected java.lang.String batchSize

    - #### batchTimeInterval

          protected java.lang.String batchTimeInterval

    - #### enablePersistence

          protected java.lang.Boolean enablePersistence

    - #### diskStoreName

          protected java.lang.String diskStoreName

    - #### rollOplogs

          protected java.lang.Boolean rollOplogs

    - #### maximumQueueMemory

          protected java.lang.String maximumQueueMemory

    - #### overflowDirectory

          protected java.lang.String overflowDirectory

  - ### Constructor Detail

    - #### GatewayQueue

          public GatewayQueue()

  - ### Method Detail

    - #### getAlertThreshold

          public java.lang.String getAlertThreshold()

      Gets the value of the alertThreshold property. possible object is `String`

    - #### setAlertThreshold

          public void setAlertThreshold(java.lang.String value)

      Sets the value of the alertThreshold property. allowed object is `String`

    - #### isBatchConflation

          public java.lang.Boolean isBatchConflation()

      Gets the value of the batchConflation property. possible object is `Boolean`

    - #### setBatchConflation

          public void setBatchConflation(java.lang.Boolean value)

      Sets the value of the batchConflation property. allowed object is `Boolean`

    - #### getBatchSize

          public java.lang.String getBatchSize()

      Gets the value of the batchSize property. possible object is `String`

    - #### setBatchSize

          public void setBatchSize(java.lang.String value)

      Sets the value of the batchSize property. allowed object is `String`

    - #### getBatchTimeInterval

          public java.lang.String getBatchTimeInterval()

      Gets the value of the batchTimeInterval property. possible object is `String`

    - #### setBatchTimeInterval

          public void setBatchTimeInterval(java.lang.String value)

      Sets the value of the batchTimeInterval property. allowed object is `String`

    - #### isEnablePersistence

          public java.lang.Boolean isEnablePersistence()

      Gets the value of the enablePersistence property. possible object is `Boolean`

    - #### setEnablePersistence

          public void setEnablePersistence(java.lang.Boolean value)

      Sets the value of the enablePersistence property. allowed object is `Boolean`

    - #### getDiskStoreName

          public java.lang.String getDiskStoreName()

      Gets the value of the diskStoreName property. possible object is `String`

    - #### setDiskStoreName

          public void setDiskStoreName(java.lang.String value)

      Sets the value of the diskStoreName property. allowed object is `String`

    - #### isRollOplogs

          public java.lang.Boolean isRollOplogs()

      Gets the value of the rollOplogs property. possible object is `Boolean`

    - #### setRollOplogs

          public void setRollOplogs(java.lang.Boolean value)

      Sets the value of the rollOplogs property. allowed object is `Boolean`

    - #### getMaximumQueueMemory

          public java.lang.String getMaximumQueueMemory()

      Gets the value of the maximumQueueMemory property. possible object is `String`

    - #### setMaximumQueueMemory

          public void setMaximumQueueMemory(java.lang.String value)

      Sets the value of the maximumQueueMemory property. allowed object is `String`

    - #### getOverflowDirectory

          public java.lang.String getOverflowDirectory()

      Gets the value of the overflowDirectory property. possible object is `String`

    - #### setOverflowDirectory

          public void setOverflowDirectory(java.lang.String value)

      Sets the value of the overflowDirectory property. allowed object is `String`